FahCore_a7 0.0.17 fails to start on Ubuntu 14.04 LTS

Moderators: Site Moderators, PandeGroup

FahCore_a7 0.0.17 fails to start on Ubuntu 14.04 LTS

Postby _r2w_ben » Tue Jun 12, 2018 12:33 am

Either because of version 0.0.17 or the core URL switch, this machine has been trashing a7 work units until it is assigned an a4 work unit. It's an original Core 2 Duo without AVX and uses the SSE version of the core.

Last successful a7 with 0.0.16 from fahwebx.stanford.edu:
Code: Select all
11:24:32:WU00:FS00:Connecting to 128.252.203.2:8080
11:24:32:WU01:FS00:Running FahCore: /usr/bin/FAHCoreWrapper /var/lib/fahclient/cores/fahwebx.stanford.edu/cores/Linux/AMD64/Core_a7.fah/FahCore_a7 -dir 01 -suffix 01 -version 704 -lifeline 2051 -checkpoint 15 -np 2
11:24:32:WU01:FS00:Started FahCore on PID 20144
11:24:32:WU01:FS00:Core PID:20148
11:24:32:WU01:FS00:FahCore 0xa7 started
11:24:33:WU01:FS00:0xa7:*********************** Log Started 2018-05-30T11:24:32Z ***********************
11:24:33:WU01:FS00:0xa7:************************** Gromacs Folding@home Core ***************************
11:24:33:WU01:FS00:0xa7:       Type: 0xa7
11:24:33:WU01:FS00:0xa7:       Core: Gromacs
11:24:33:WU01:FS00:0xa7:    Website: http://folding.stanford.edu/
11:24:33:WU01:FS00:0xa7:  Copyright: (c) 2009-2016 Stanford University
11:24:33:WU01:FS00:0xa7:     Author: Joseph Coffland <joseph@cauldrondevelopment.com>
11:24:33:WU01:FS00:0xa7:       Args: -dir 01 -suffix 01 -version 704 -lifeline 20144 -checkpoint 15 -np
11:24:33:WU01:FS00:0xa7:             2
11:24:33:WU01:FS00:0xa7:     Config: <none>
11:24:33:WU01:FS00:0xa7:************************************ Build *************************************
11:24:33:WU01:FS00:0xa7:    Version: 0.0.16
11:24:33:WU01:FS00:0xa7:       Date: Oct 31 2017
11:24:33:WU01:FS00:0xa7:       Time: 19:24:13
11:24:33:WU01:FS00:0xa7: Repository: Git
11:24:33:WU01:FS00:0xa7:   Revision: 2f0a8a3d0b0698be48154fe99a0216f289060932
11:24:33:WU01:FS00:0xa7:     Branch: master
11:24:33:WU01:FS00:0xa7:   Compiler: GNU 4.9.2
11:24:33:WU01:FS00:0xa7:    Options: -std=gnu++98 -O3 -funroll-loops
11:24:33:WU01:FS00:0xa7:   Platform: linux2 4.9.0-1-amd64
11:24:33:WU01:FS00:0xa7:       Bits: 64
11:24:33:WU01:FS00:0xa7:       Mode: Release
11:24:33:WU01:FS00:0xa7:       SIMD: sse2
11:24:33:WU01:FS00:0xa7:************************************ System ************************************
11:24:33:WU01:FS00:0xa7:        CPU: Intel(R) Core(TM)2 CPU 4300 @ 1.80GHz
11:24:33:WU01:FS00:0xa7:     CPU ID: GenuineIntel Family 6 Model 15 Stepping 2
11:24:33:WU01:FS00:0xa7:       CPUs: 2
11:24:33:WU01:FS00:0xa7:     Memory: 1.95GiB
11:24:33:WU01:FS00:0xa7:Free Memory: 578.90MiB
11:24:33:WU01:FS00:0xa7:    Threads: POSIX_THREADS
11:24:33:WU01:FS00:0xa7: OS Version: 3.13
11:24:33:WU01:FS00:0xa7:Has Battery: false
11:24:33:WU01:FS00:0xa7: On Battery: false
11:24:33:WU01:FS00:0xa7: UTC Offset: -4
11:24:33:WU01:FS00:0xa7:        PID: 20148
11:24:33:WU01:FS00:0xa7:        CWD: /var/lib/fahclient/work
11:24:33:WU01:FS00:0xa7:         OS: Linux 3.13.0-142-generic x86_64
11:24:33:WU01:FS00:0xa7:    OS Arch: AMD64
11:24:33:WU01:FS00:0xa7:********************************************************************************
11:24:33:WU01:FS00:0xa7:Project: 14052 (Run 9, Clone 28, Gen 4)
11:24:33:WU01:FS00:0xa7:Unit: 0x000000050002894b5ae3712c9540d900
11:24:33:WU01:FS00:0xa7:Reading tar file core.xml


First failure after download from cores.foldingathome.org
Code: Select all
23:41:37:WU01:FS00:Assigned to work server 128.252.203.2
23:41:37:WU01:FS00:Requesting new work unit for slot 00: RUNNING cpu:2 from 128.252.203.2
23:41:37:WU01:FS00:Connecting to 128.252.203.2:8080
23:41:37:WU01:FS00:Downloading 4.57MiB
23:41:39:WU01:FS00:Download complete
23:41:39:WU01:FS00:Received Unit: id:01 state:DOWNLOAD error:NO_ERROR project:13812 run:0 clone:309 gen:129 core:0xa7 unit:0x0000008c80fccb025a98192772874880
23:41:39:WU01:FS00:Downloading core from http://cores.foldingathome.org/Linux/AMD64/Core_a7.fah
23:41:39:WU01:FS00:Connecting to cores.foldingathome.org:80
23:41:40:WU01:FS00:FahCore a7: Downloading 7.64MiB
23:41:41:WU01:FS00:FahCore a7: Download complete
23:41:41:WU01:FS00:Valid core signature
23:41:41:WU01:FS00:Unpacked 18.42MiB to cores/cores.foldingathome.org/Linux/AMD64/Core_a7.fah/FahCore_a7
23:50:37:WU01:FS00:Starting
23:50:37:WU01:FS00:Starting
23:50:37:WU01:FS00:Running FahCore: /usr/bin/FAHCoreWrapper /var/lib/fahclient/cores/cores.foldingathome.org/Linux/AMD64/Core_a7.fah/FahCore_a7 -dir 01 -suffix 01 -version 704 -lifeline 2051 -checkpoint 15 -np 2
23:50:37:WU01:FS00:Started FahCore on PID 7021
23:50:37:WU01:FS00:Core PID:7025
23:50:37:WU01:FS00:FahCore 0xa7 started
^[[93m23:50:38:WARNING:WU01:FS00:FahCore returned: FAILED_2 (1 = 0x1)^[[0m


Config
Code: Select all
*********************** Log Started 2018-06-05T23:45:50Z ***********************
23:45:50:************************* Folding@home Client *************************
23:45:50:    Website: http://folding.stanford.edu/
23:45:50:  Copyright: (c) 2009-2014 Stanford University
23:45:50:     Author: Joseph Coffland <joseph@cauldrondevelopment.com>
23:45:50:       Args: --child --lifeline 2123 /etc/fahclient/config.xml --run-as
23:45:50:             fahclient --pid-file=/var/run/fahclient.pid --daemon
23:45:50:     Config: /etc/fahclient/config.xml
23:45:50:******************************** Build ********************************
23:45:50:    Version: 7.4.4
23:45:50:       Date: Mar 4 2014
23:45:50:       Time: 12:02:38
23:45:50:    SVN Rev: 4130
23:45:50:     Branch: fah/trunk/client
23:45:50:   Compiler: GNU 4.4.7
23:45:50:    Options: -std=gnu++98 -O3 -funroll-loops -mfpmath=sse -ffast-math
23:45:50:             -fno-unsafe-math-optimizations -msse2
23:45:50:   Platform: linux2 3.2.0-1-amd64
23:45:50:       Bits: 64
23:45:50:       Mode: Release
23:45:50:******************************* System ********************************
23:45:50:        CPU: Intel(R) Core(TM)2 CPU 4300 @ 1.80GHz
23:45:50:     CPU ID: GenuineIntel Family 6 Model 15 Stepping 2
23:45:50:       CPUs: 2
23:45:50:     Memory: 1.95GiB
23:45:50:Free Memory: 1.65GiB
23:45:50:    Threads: POSIX_THREADS
23:45:50: OS Version: 3.13
23:45:50:Has Battery: false
23:45:50: On Battery: false
23:45:50: UTC Offset: -4
23:45:50:        PID: 2125
23:45:50:        CWD: /var/lib/fahclient
23:45:50:         OS: Linux 3.13.0-149-generic x86_64
23:45:50:    OS Arch: AMD64
23:45:50:       GPUs: 1
23:45:50:      GPU 0: UNSUPPORTED: [Rage 128 Pro Ultra TF]
23:45:50:       CUDA: Not detected
23:45:50:***********************************************************************
23:45:50:<config>
23:45:50:  <!-- Client Control -->
23:45:50:  <fold-anon v='true'/>
23:45:50:
23:45:50:  <!-- Folding Slot Configuration -->
23:45:50:  <gpu v='false'/>
23:45:50:
23:45:50:  <!-- Slot Control -->
23:45:50:  <power v='full'/>
23:45:50:
23:45:50:  <!-- User Information -->
23:45:50:  <passkey v='********************************'/>
23:45:50:  <team v='11108'/>
23:45:50:  <user v='_r2w_ben'/>
23:45:50:
23:45:50:  <!-- Folding Slots -->
23:45:50:  <slot id='0' type='CPU'/>
23:45:50:</config>

Is it possible the AVX version of the core was placed in the file location where the SSE version should be? Were there compiler or dependency changes between 0.0.16 and 0.0.17?
_r2w_ben
 
Posts: 123
Joined: Wed Apr 23, 2008 3:11 pm

Re: FahCore_a7 0.0.17 fails to start on Ubuntu 14.04 LTS

Postby bollix47 » Tue Jun 12, 2018 3:17 am

The only dependencies I'm aware of are minimum versions of glibc (2.17) and glibc++ (3.4.15).

If you navigate using Nautilus or Files to the sub directory containing FahCore_a7 and open a terminal there (right click - Open in Terminal - assuming you have nautilus-open-terminal installed ... otherwise you might have to navigate there using Terminal and the cd command) ... then you can type:

Code: Select all
ldd FahCore_a7

to see if any dependency errors exist.

If your versions are too old you may be able to install newer ones by downloading the needed deb file.
bollix47
 
Posts: 3442
Joined: Sun Dec 02, 2007 5:04 am
Location: Canada

Re: FahCore_a7 0.0.17 fails to start on Ubuntu 14.04 LTS

Postby bruce » Tue Jun 12, 2018 5:43 am

_r2w_ben wrote:Is it possible the AVX version of the core was placed in the file location where the SSE version should be?


Yes, it's possible. How did you download/install FAHCore_a7?
-----------------
Similar to what "bollix47" said (but not the same) navigate using Nautilus or Files to the sub directory containing FahCore_a7 (it's actually /var/lib/fahclient/cores/cores.foldingathome.org/Linux/AMD64/Core_a7.fah) and open a terminal there (right click - Open in Terminal - assuming you have nautilus-open-terminal installed ... otherwise you might have to navigate there using Terminal and the cd command) ... then you can type:

Code: Select all
./FahCore_a7

to execute that program. It will print useful information to the terminal, including a line that either reads SMID:sse2 or SMID: (something else).
bruce
 
Posts: 21670
Joined: Thu Nov 29, 2007 10:13 pm
Location: So. Cal.

Re: FahCore_a7 0.0.17 fails to start on Ubuntu 14.04 LTS

Postby _r2w_ben » Tue Jun 12, 2018 10:40 pm

bollix47 wrote:The only dependencies I'm aware of are minimum versions of glibc (2.17) and glibc++ (3.4.15).

Here's the output from ldd FahCore_a7:
Code: Select all
./FahCore_a7: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by ./FahCore_a7)
./FahCore_a7: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.21' not found (required by ./FahCore_a7)
        linux-vdso.so.1 =>  (0x00007fff101fc000)
        libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f97431a1000)
        libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f9742f9d000)
        libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007f9742c99000)
        libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f9742993000)
        libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f974277d000)
        libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f97423b4000)
        /lib64/ld-linux-x86-64.so.2 (0x00007f9744730000)


bruce wrote:Yes, it's possible. How did you download/install FAHCore_a7?

The core was automatically downloaded by FAHclient as indicated in the second log snippet.

Manually starting FahCore_a7 produces the same two dependency missing lines as above.

Edit: This looks similar.
https://github.com/FoldingAtHome/fah-issues/issues/1147
_r2w_ben
 
Posts: 123
Joined: Wed Apr 23, 2008 3:11 pm

Re: FahCore_a7 0.0.17 fails to start on Ubuntu 14.04 LTS

Postby bruce » Wed Jun 13, 2018 6:48 pm

Have you installed the updates for 14.04 (v3.13)? Those pre-reqs may be included as part of the Long Term Support process.
bruce
 
Posts: 21670
Joined: Thu Nov 29, 2007 10:13 pm
Location: So. Cal.

Re: FahCore_a7 0.0.17 fails to start on Ubuntu 14.04 LTS

Postby bruce » Wed Jun 13, 2018 6:51 pm

Have you installed the updates for 14.04 (v3.13) or even to 14.04.5? Those pre-reqs may be included as part of Ubuntu's Long Term Support process.

(I've had problems finding CXXABI/GLIBCXX in the past and I don't remember what update I installed that fixed them.)
bruce
 
Posts: 21670
Joined: Thu Nov 29, 2007 10:13 pm
Location: So. Cal.

Re: FahCore_a7 0.0.17 fails to start on Ubuntu 14.04 LTS

Postby _r2w_ben » Thu Jun 14, 2018 1:27 am

bruce wrote:Have you installed the updates for 14.04 (v3.13)? Those pre-reqs may be included as part of the Long Term Support process.

Yes, Ubuntu version is 14.04.5 LTS and kernel is currently 3.13.0-149.

In the issue I linked to, jcoffland mentioned compiling with one version older to keep FAHClient compatible with 14.04.5 LTS.

To me it looks FahCore_a7 0.0.17 was built with a newer compiler. In my first log snippet, you can see 0.0.16 mentions "Compiler: GNU 4.9.2". Since it doesn't start now, I can't see the current Compiler version. It's possible that the same compiler was used but a code change or bugfix used a feature not present in CXXABI_1.3.7.

Is there an accurate list of supported Linux distros? The Linux system requirements looks outdated since it mentions Ubuntu 11.04.

In case it's useful, here's some strings output.
Code: Select all
strings /usr/lib/x86_64-linux-gnu/libstdc++.so.6 | grep CXXABI
CXXABI_1.3
CXXABI_1.3.1
CXXABI_1.3.2
CXXABI_1.3.3
CXXABI_1.3.4
CXXABI_1.3.5
CXXABI_1.3.6
CXXABI_1.3.7

Code: Select all
strings /usr/lib/x86_64-linux-gnu/libstdc++.so.6 | grep GLIBCXX
GLIBCXX_3.4
GLIBCXX_3.4.1
GLIBCXX_3.4.2
GLIBCXX_3.4.3
GLIBCXX_3.4.4
GLIBCXX_3.4.5
GLIBCXX_3.4.6
GLIBCXX_3.4.7
GLIBCXX_3.4.8
GLIBCXX_3.4.9
GLIBCXX_3.4.10
GLIBCXX_3.4.11
GLIBCXX_3.4.12
GLIBCXX_3.4.13
GLIBCXX_3.4.14
GLIBCXX_3.4.15
GLIBCXX_3.4.16
GLIBCXX_3.4.17
GLIBCXX_3.4.18
GLIBCXX_3.4.19

Code: Select all
strings /var/lib/fahclient/cores/cores.foldingathome.org/Linux/AMD64/Core_a7.fah/FahCore_a7 | grep CXXABI_1.3.9
CXXABI_1.3.9
_ZdlPvm@@CXXABI_1.3.9
_r2w_ben
 
Posts: 123
Joined: Wed Apr 23, 2008 3:11 pm

Re: FahCore_a7 0.0.17 fails to start on Ubuntu 14.04 LTS

Postby bruce » Thu Jun 14, 2018 2:35 am

Newer compilers are potentially the problem. Newer compilers generally come with newer versions of the libraries, but there's a pretty good chance that you CAN upgrade the library on your version of Ubuntu without causing any difficulties.

The entry CXXABI_1.3.9 is required by GROMACS (which is used in FAHCore_a7), so you need upgrade your library to a version that contains that entry. I may have upgraded my library or I may have installed it separately -- I don't remember.

This issue was closed in an earlier version of FAHClient but apparently has come back.
https://github.com/FoldingAtHome/fah-issues/issues/1147
bruce
 
Posts: 21670
Joined: Thu Nov 29, 2007 10:13 pm
Location: So. Cal.

Re: FahCore_a7 0.0.17 fails to start on Ubuntu 14.04 LTS

Postby bollix47 » Thu Jun 14, 2018 11:58 am

Open a terminal & try the following:
Code: Select all
sudo add-apt-repository ppa:ubuntu-toolchain-r/test
sudo apt-get update
sudo apt-get upgrade

Restart the folding client.

Source: viewtopic.php?p=292007#p292007 (see EDIT)
https://askubuntu.com/questions/575505/ ... this-error
bollix47
 
Posts: 3442
Joined: Sun Dec 02, 2007 5:04 am
Location: Canada

Re: FahCore_a7 0.0.17 fails to start on Ubuntu 14.04 LTS

Postby EXT64 » Sun Jun 24, 2018 1:01 pm

I just hacked on my old Ubuntu 12.04 install to get it working with A7 V17 (V16 worked fine). Updating the C++ libs and gcc to the Trusty/Xenial versions did the trick.
EXT64
 
Posts: 320
Joined: Mon Apr 09, 2012 11:54 pm

Re: FahCore_a7 0.0.17 fails to start on Ubuntu 14.04 LTS

Postby bruce » Sun Jun 24, 2018 9:08 pm

bruce
 
Posts: 21670
Joined: Thu Nov 29, 2007 10:13 pm
Location: So. Cal.


Return to CPU Projects - released FAHCores _a4 & _a7

Who is online

Users browsing this forum: No registered users and 1 guest

cron